## dcbib 0.0

=== Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/local/bin
MANDIR     = /usr/local/man
DOCDIR     = /usr/local/doc
ETCDIR     = /usr/local/etc
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# template for Makefile 
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

RCSFILES=Makefile.txt config.pl config.bat COPYING.TXT

all: bin doc

clean:
	-rm -f $(TARGET) rdiff
	cd src; $(MAKE) clean
	cd doc; $(MAKE) clean

bin:
	cd src; $(MAKE) all

doc:
	cd doc; $(MAKE) force

install: $(INSTALLDEP)

install.bin:
	$(INSTALLBIN) $(TARGET) $(DESTDIR)$(BINDIR)

install.doc:
	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install

ci: $(RCSFILES)
	ci -l $(RCSFILES)
	touch ci

rdiff: $(RCSFILES)
	-rcsdiff $(RCSFILES) > rdiff
	more rdiff

config:
	perl config.pl

tar: clean
	tar cvfz ../$(PKGNAME)-s.tgz .

lzh: all
	lha u -x ../$(PKGNAME)-x.lzh COPYING.TXT doc\*.htm

=== doc/Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/local/bin
MANDIR     = /usr/local/man
DOCDIR     = /usr/local/doc
ETCDIR     = /usr/local/etc
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# template for Makefile 
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

B	= dcbib
HTMS	= $B-add.htm $B.htm $B-card.htm rfc822-like.htm
MAN2HTM	= $(HTROFF) -man -u

.SUFFIXES: .htm .man

all: htms

force:
	$(MAKE) htms
	$(MAKE) touch
	$(MAKE) htms

htms: $(HTMS)

$(HTMS):

.man.htm:
	$(MAN2HTM) $< > $@

clean:
	-rm -f $(HTMS) *.bak

touch:
	touch *.man

config:
	cd ..; $(MAKE) config

=== src/Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/local/bin
MANDIR     = /usr/local/man
DOCDIR     = /usr/local/doc
ETCDIR     = /usr/local/etc
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# template for Makefile
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

B	= dcbib
SUBS	= error.pl rfc822.pl fio.pl test.pl \
	japanese.pl
TARGETS	= $B-add

all: $(TARGETS)

ADD_FILES = header.pl add.pl fncreat.pl $(SUBS)

$B-add: $(ADD_FILES)
	cat $(ADD_FILES) > $@

clean:
	-rm -f *.bak

touch:
	touch *.man

install: all
	for file in $(TARGETS) ;\
	do \
		$(INSTALLBIN) $$file $(BINDIR) ;\
	done

config:
	cd ..; $(MAKE) config

header.pl: Makefile
	echo '#!/usr/bin/perl' > $@
	echo '$$ETCDIR = "$(ETCDIR)";' >> $@
#DOS	echo $$ETCDIR = "$(ETCDIR)"; > $@

test: all
	sh test.sh
#DOS	test.bat

## dcbib 0.1-1

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/local/bin
-MANDIR     = /usr/local/man
-DOCDIR     = /usr/local/doc
-ETCDIR     = /usr/local/etc
+BINDIR     = /usr/bin
+MANDIR     = /usr/man
+DOCDIR     = /usr/doc
+ETCDIR     = /etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
@@ -17,7 +17,7 @@
 
 RCSFILES=Makefile.txt config.pl config.bat COPYING.TXT
 
-all: bin doc
+all: bin all-doc
 
 clean:
 	-rm -f $(TARGET) rdiff
@@ -27,13 +27,13 @@
 bin:
 	cd src; $(MAKE) all
 
-doc:
+all-doc:
 	cd doc; $(MAKE) force
 
 install: $(INSTALLDEP)
 
 install.bin:
-	$(INSTALLBIN) $(TARGET) $(DESTDIR)$(BINDIR)
+	cd src; $(MAKE) DESTDIR=$(DESTDIR) install
 
 install.doc:
 	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install

=== doc/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/local/bin
-MANDIR     = /usr/local/man
-DOCDIR     = /usr/local/doc
-ETCDIR     = /usr/local/etc
+BINDIR     = /usr/bin
+MANDIR     = /usr/man
+DOCDIR     = /usr/doc
+ETCDIR     = /etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
@@ -19,7 +19,7 @@
 HTMS	= $B-add.htm $B.htm $B-card.htm rfc822-like.htm
 MAN2HTM	= $(HTROFF) -man -u
 
-.SUFFIXES: .htm .man
+.SUFFIXES: .htm .5 .1
 
 all: htms
 
@@ -32,14 +32,27 @@
 
 $(HTMS):
 
-.man.htm:
+.1.htm:
+	$(MAN2HTM) $< > $@
+
+.5.htm:
 	$(MAN2HTM) $< > $@
 
 clean:
 	-rm -f $(HTMS) *.bak
 
 touch:
-	touch *.man
+	touch *.1 *.5
 
 config:
 	cd ..; $(MAKE) config
+
+install: all
+	for sec in 1 5 ;\
+	do \
+		for file in *.$$sec ;\
+		do \
+			$(INSTALLDIR) $(DESTDIR)$(MANDIR)/man$$sec ;\
+			$(INSTALL) $$file $(DESTDIR)$(MANDIR)/man$$sec ;\
+		done ;\
+	done

=== src/Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/bin
MANDIR     = /usr/man
DOCDIR     = /usr/doc
ETCDIR     = /etc
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# template for Makefile
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

B	= dcbib
SUBS	= error.pl rfc822.pl fio.pl test.pl \
	japanese.pl
TARGETS	= $B-add $B-mailfe

all: $(TARGETS)

ADD_FILES = header.pl add.pl fncreat.pl $(SUBS)

$B-add: $(ADD_FILES)
	cat $(ADD_FILES) > $@

MAILFE_FILES = header.pl mailfe.pl $(SUBS)

$B-mailfe: $(MAILFE_FILES)
	cat $(MAILFE_FILES) > $@

clean:
	-rm -f *.bak
	-rm -f $(TARGETS)

touch:
	touch *.man

install: all
	for file in $(TARGETS) ;\
	do \
		$(INSTALLBIN) $$file $(DESTDIR)$(BINDIR) ;\
	done

config:
	cd ..; $(MAKE) config

header.pl: Makefile
	echo '#!/usr/bin/perl' > $@
	echo '$$ETCDIR = "$(ETCDIR)";' >> $@
	echo '$$BINDIR = "$(BINDIR)";' >> $@
#DOS	echo $$ETCDIR = "$(ETCDIR)"; > $@
#DOS	echo $$BINDIR = "$(BINDIR)"; > $@

test: all
	sh test.sh
#DOS	test.bat

=== debian/changelog ===
dcbib (0.1-1) unstable; urgency=low

  * Initial Release.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Tue, 22 Dec 1998 13:52:18 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "toyoda@gfd-dennou.org"
End:

=== debian/control ===
Source: dcbib
Section: unknown
Priority: extra
Maintainer: TOYODA Eizi <toyoda@gfd-dennou.org>
Standards-Version: 2.1.2.2

Package: dcbib
Architecture: any
Depends: perl
Description: bibliography database maintainer.

## dcbib 0.2-1

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
-ETCDIR     = /etc
+BINDIR     = /usr/local/bin
+MANDIR     = /usr/local/man
+DOCDIR     = /usr/local/doc
+ETCDIR     = /usr/local/etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755

=== doc/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
-ETCDIR     = /etc
+BINDIR     = /usr/local/bin
+MANDIR     = /usr/local/man
+DOCDIR     = /usr/local/doc
+ETCDIR     = /usr/local/etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755

=== src/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
-ETCDIR     = /etc
+BINDIR     = /usr/local/bin
+MANDIR     = /usr/local/man
+DOCDIR     = /usr/local/doc
+ETCDIR     = /usr/local/etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755

=== debian/changelog ===
dcbib (0.2-1) unstable; urgency=low

  * Initial Release.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Mon, 11 Jan 1999 13:52:18 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "toyoda@gfd-dennou.org"
End:

## dcbib 0.3-1

=== Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/bin
MANDIR     = /usr/man
DOCDIR     = /usr/doc
ETCDIR     = /etc
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# template for Makefile 
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

RCSFILES=Makefile.txt config.pl config.bat COPYING.TXT
PKGNAME=dcbib

all: bin all-doc

clean:
	cd src; $(MAKE) clean
	cd doc; $(MAKE) clean

clean.dist:
	cd src; $(MAKE) clean.dist
	cd doc; $(MAKE) clean.dist
	-rm -f Makefile

bin:
	cd src; $(MAKE) all

all-doc:
	cd doc; $(MAKE) force

install: $(INSTALLDEP)

install.bin:
	cd src; $(MAKE) DESTDIR=$(DESTDIR) install

install.doc:
	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install

config:
	perl config.pl

tar: clean.dist
	tar cvfz ../$(PKGNAME)-s.tgz .

lzh: all
	lha u -x ../$(PKGNAME)-x.lzh COPYING.TXT doc/*.htm

=== doc/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/local/bin
-MANDIR     = /usr/local/man
-DOCDIR     = /usr/local/doc
-ETCDIR     = /usr/local/etc
+BINDIR     = /usr/bin
+MANDIR     = /usr/man
+DOCDIR     = /usr/doc
+ETCDIR     = /etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
@@ -41,6 +41,9 @@
 clean:
 	-rm -f $(HTMS) *.bak
 
+clean.dist:
+	-rm -f Makefile
+
 touch:
 	touch *.1 *.5

=== src/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/local/bin
-MANDIR     = /usr/local/man
-DOCDIR     = /usr/local/doc
-ETCDIR     = /usr/local/etc
+BINDIR     = /usr/bin
+MANDIR     = /usr/man
+DOCDIR     = /usr/doc
+ETCDIR     = /etc
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
@@ -35,6 +35,9 @@
 clean:
 	-rm -f *.bak
 	-rm -f $(TARGETS)
+	-rm -f header.pl
+
+clean.dist: clean
 
 touch:
 	touch *.man

=== debian/changelog ===
dcbib (0.3-1) unstable; urgency=low

  * Initial Release.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Fri, 29 Jan 1999 13:52:18 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "toyoda@gfd-dennou.org"
End:

## dcbib 0.3-2

=== debian/changelog ===
dcbib (0.3-2) unstable; urgency=low

  * Doc revise: dcbib-card(5) missed Volume: description.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Fri, 24 Feb 1999 16:53:35 +0900

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,6 @@
 Standards-Version: 2.1.2.2
 
 Package: dcbib
-Architecture: any
+Architecture: all
 Depends: perl
 Description: bibliography database maintainer.

## dcbib 0.5-2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 INSTALLDIR = install -d
 INSTALLDEP = install.bin install.doc
 # template for Makefile 
+# $Id: Makefile.txt,v 1.4 1999/05/18 12:47:40 toyoda Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.

=== doc/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 INSTALLDIR = install -d
 INSTALLDEP = install.bin install.doc
 # template for Makefile 
+# $Id: Makefile.txt,v 1.5 1999/05/18 12:47:49 toyoda Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.

=== src/Makefile ===
--- 
+++ 
@@ -12,13 +12,14 @@
 INSTALLDIR = install -d
 INSTALLDEP = install.bin install.doc
 # template for Makefile
+# $Id: Makefile.txt,v 1.5 1999/05/18 12:47:51 toyoda Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.
 
 B	= dcbib
 SUBS	= error.pl rfc822.pl fio.pl test.pl \
 	japanese.pl
-TARGETS	= $B-add $B-mailfe
+TARGETS	= $B-add
 
 all: $(TARGETS)
 
@@ -26,11 +27,6 @@
 
 $B-add: $(ADD_FILES)
 	cat $(ADD_FILES) > $@
-
-MAILFE_FILES = header.pl mailfe.pl $(SUBS)
-
-$B-mailfe: $(MAILFE_FILES)
-	cat $(MAILFE_FILES) > $@
 
 clean:
 	-rm -f *.bak

=== debian/changelog ===
dcbib (0.5-2) unstable; urgency=low

  * changelog forgotten.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Tue, 18 May 1999 23:28:47 +0900

dcbib (0.5-1) unstable; urgency=low

  * card info checked by dcbib-add(1).

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Tue, 18 May 1999 23:27:25 +0900

dcbib (0.4-1) unstable; urgency=low

  * uses 'jcode.pl' or '/usr/bin/nkf' instead of toyoda-original routine.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Tue, 18 May 1999 18:11:25 +0900

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=dcbib

build:
	$(checkdir)
	
	perl config.pl BASEDIR=/usr
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd doc/*.htm
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dcbib 0.6-3

=== debian/changelog ===
dcbib (0.6-3) unstable; urgency=low

  * 
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 19 May 1999 02:04:30 +0900

dcbib (0.6-2) unstable; urgency=low

  * author: check debug
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 19 May 1999 02:02:44 +0900

dcbib (0.6-1) unstable; urgency=low

  * author: check debug
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 19 May 1999 01:56:50 +0900

## dcbib 0.8-8

=== Makefile ===
--- 
+++ 
@@ -5,33 +5,41 @@
 BINDIR     = /usr/bin
 MANDIR     = /usr/man
 DOCDIR     = /usr/doc
-ETCDIR     = /etc
+ETCDIR     = /etc/dcbib
+CGIDIR     = /usr/lib/cgi-bin
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
+INSTALLFILE = install -m 0644
+INSTALLSGID = install -m 2755 --group dcdvlop
 INSTALLDIR = install -d
-INSTALLDEP = install.bin install.doc
+INSTALLDEP = install.dir install.bin install.doc install.etc
 # template for Makefile 
-# $Id: Makefile.txt,v 1.4 1999/05/18 12:47:40 toyoda Exp $
+# $Id: Makefile,v 1.9 2000/09/20 03:15:19 takepiro Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.
 
 RCSFILES=Makefile.txt config.pl config.bat COPYING.TXT
 PKGNAME=dcbib
 
-all: bin all-doc
+all: bin all-doc etc
 
 clean:
 	cd src; $(MAKE) clean
 	cd doc; $(MAKE) clean
+	cd etc; $(MAKE) clean
 
 clean.dist:
 	cd src; $(MAKE) clean.dist
 	cd doc; $(MAKE) clean.dist
+	cd etc; $(MAKE) clean.dist
 	-rm -f Makefile
 
 bin:
 	cd src; $(MAKE) all
+
+etc:
+	cd etc; $(MAKE) all
 
 all-doc:
 	cd doc; $(MAKE) force
@@ -44,6 +52,15 @@
 install.doc:
 	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install
 
+install.etc:
+	cd etc; $(MAKE) DESTDIR=$(DESTDIR) install
+
+install.dir: 
+	test -d $(DESTDIR)$(BINDIR) || $(INSTALLDIR) $(DESTDIR)$(BINDIR)
+	test -d $(DESTDIR)$(MANDIR) || $(INSTALLDIR) $(DESTDIR)$(MANDIR)
+	test -d $(DESTDIR)$(ETCDIR) || $(INSTALLDIR) $(DESTDIR)$(ETCDIR)
+	test -d $(DESTDIR)$(CGIDIR) || $(INSTALLDIR) $(DESTDIR)$(CGIDIR)
+
 config:
 	perl config.pl

=== doc/Makefile ===
--- 
+++ 
@@ -5,14 +5,17 @@
 BINDIR     = /usr/bin
 MANDIR     = /usr/man
 DOCDIR     = /usr/doc
-ETCDIR     = /etc
+ETCDIR     = /etc/dcbib
+CGIDIR     = /usr/lib/cgi-bin
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
+INSTALLFILE = install -m 0644
+INSTALLSGID = install -m 2755 --group dcdvlop
 INSTALLDIR = install -d
-INSTALLDEP = install.bin install.doc
+INSTALLDEP = install.dir install.bin install.doc install.etc
 # template for Makefile 
-# $Id: Makefile.txt,v 1.5 1999/05/18 12:47:49 toyoda Exp $
+# $Id: Makefile,v 1.9 2000/09/20 03:15:19 takepiro Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.
 
@@ -57,6 +60,6 @@
 		for file in *.$$sec ;\
 		do \
 			$(INSTALLDIR) $(DESTDIR)$(MANDIR)/man$$sec ;\
-			$(INSTALL) $$file $(DESTDIR)$(MANDIR)/man$$sec ;\
+			$(INSTALLFILE) $$file $(DESTDIR)$(MANDIR)/man$$sec ;\
 		done ;\
 	done

=== etc/Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/bin
MANDIR     = /usr/man
DOCDIR     = /usr/doc
ETCDIR     = /etc/dcbib
CGIDIR     = /usr/lib/cgi-bin
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLFILE = install -m 0644
INSTALLSGID = install -m 2755 --group dcdvlop
INSTALLDIR = install -d
INSTALLDEP = install.dir install.bin install.doc install.etc
# template for Makefile
# $Id: Makefile,v 1.5 2000/09/20 03:15:19 takepiro Exp $
# Copyright (C) TOYODA Eizi, 1998, 1999.  All rights reserved.
# see COPYING.TXT for terms of license.

SRCUNIX	= dcbib.unx
SRCDOS	= dcbib.dos
TARGETS	= dcbib.conf

all: $(TARGETS)

$(TARGETS):
	cat $(SRCUNIX) > $@
#DOS	cat $(SRCUDOS) > $@

clean:
	-rm -f *.bak *~
	-rm -f $(TARGETS)

clean.dist: clean

install: all
	for file in $(TARGETS) ;\
	do \
		$(INSTALLFILE) $$file $(DESTDIR)$(ETCDIR) ;\
	done

config:
	cd ..; $(MAKE) config

=== src/Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/bin
MANDIR     = /usr/man
DOCDIR     = /usr/doc
ETCDIR     = /etc/dcbib
CGIDIR     = /usr/lib/cgi-bin
INSTALL    = install
HTROFF     = htroff
INSTALLBIN = install -m 0755
INSTALLFILE = install -m 0644
INSTALLSGID = install -m 2755 --group dcdvlop
INSTALLDIR = install -d
INSTALLDEP = install.dir install.bin install.doc install.etc
# template for Makefile
# $Id: Makefile,v 1.9 2000/09/20 03:15:19 takepiro Exp $
# Copyright (C) TOYODA Eizi, 1998, 1999.  All rights reserved.
# see COPYING.TXT for terms of license.

B	= dcbib
SUBS	= error.pl rfc822.pl fio.pl check.pl card.pl japanese.pl
TARGETS	= $B-add
CGIS    = $B-add.cgi

all: $(TARGETS) $(CGIS)

ADD_FILES = header.pl add.pl fncreat.pl $(SUBS)
ADD_CGI_FILES = header.pl cgi.pl addcgi.pl fncreat.pl $(SUBS)

$B-add: $(ADD_FILES)
	cat $(ADD_FILES) > $@

$B-add.cgi: $(ADD_CGI_FILES) 
	cat $(ADD_CGI_FILES) > $@

clean:
	-rm -f *.bak
	-rm -f $(TARGETS) $(CGIS)
	-rm -f header.pl

clean.dist: clean

touch:
	touch *.man

install: all
	for file in $(TARGETS) ;\
	do \
		$(INSTALLSGID) $$file $(DESTDIR)$(BINDIR) ;\
	done
	for file in $(CGIS) ;\
	do \
		$(INSTALLBIN) $$file $(DESTDIR)$(CGIDIR) ;\
	done

config:
	cd ..; $(MAKE) config

header.pl: Makefile
	echo '#!/usr/bin/perl' > $@
	echo '$$ETCDIR = "$(ETCDIR)";' >> $@
	echo '$$BINDIR = "$(BINDIR)";' >> $@
#DOS	echo $$ETCDIR = "$(ETCDIR)"; > $@
#DOS	echo $$BINDIR = "$(BINDIR)"; > $@

test: all
	sh test.sh
#DOS	test.bat

=== debian/changelog ===
dcbib (0.8-8) unstable; urgency=low

  * addcgi.pl bug fix.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 20 Sep 2000 12:12:17 +0900

dcbib (0.8-7) unstable; urgency=low

  * Installed directories created thorough Makefile. 
  * Description about needed fields added to dcbib-add.cgi.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue, 12 Sep 2000 23:39:26 +0900

dcbib (0.8-6) unstable; urgency=low

  * charset defined explicitly in dcbib-add.cgi. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  8 Sep 2000 01:28:57 +0900

dcbib (0.8-5) unstable; urgency=low

  * Removal of the data implemented.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu,  7 Sep 2000 01:02:03 +0900

dcbib (0.8-4) unstable; urgency=low

  * Modification of the data base implemented.   

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  6 Sep 2000 19:59:08 +0900

dcbib (0.8-3) unstable; urgency=low

  * The last colon of the field name is removed. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  6 Sep 2000 10:34:35 +0900

dcbib (0.8-2) unstable; urgency=low

  * emlRead, emlWrite renamed to emlReadHeader, emlWriteHeader. 
  * New emlRead, emlWrite implemented to deal with carddata including mainpart.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  5 Sep 2000 00:13:49 +0900

dcbib (0.8-1) unstable; urgency=low

  * Definition of the card database moved to card.pl. 
  * Test mode implemented. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon,  4 Sep 2000 10:01:25 +0900

dcbib (0.8) unstable; urgency=low

  * 

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Mon,  4 Sep 2000 10:01:19 +0900

dcbib (0.7-1) unstable; urgency=low

  * 
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Fri, 02 Jul 1999 19:49:56 +0900

=== debian/control ===
--- 
+++ 
@@ -6,5 +6,5 @@
 
 Package: dcbib
 Architecture: all
-Depends: perl
+Depends: perl5, libjcode-perl | nkf
 Description: bibliography database maintainer.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 build:
 	$(checkdir)
 	
-	perl config.pl BASEDIR=/usr
+	perl config.pl BASEDIR=/usr ETCDIR=/etc/dcbib
 	make
 
 	touch build
@@ -29,7 +29,7 @@
 	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp
-	cd debian/tmp && install -d `cat ../dirs`
+#	cd debian/tmp && install -d `cat ../dirs`
 	make install DESTDIR=`pwd`/debian/tmp
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd

## dcbib 0.8-26

=== Makefile ===
--- 
+++ 
@@ -3,19 +3,19 @@
 EXE        = 
 OSTYPE     = ux
 BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
+MANDIR     = /usr/man/ja
+DOCDIR     = /usr/share/doc
 ETCDIR     = /etc/dcbib
-CGIDIR     = /usr/lib/cgi-bin
+CGIDIR     = /usr/lib/cgi-bin/dcbib
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
 INSTALLFILE = install -m 0644
-INSTALLSGID = install -m 2755 --group dcdvlop
+INSTALLSGID = install -m 2755 --group bunken
 INSTALLDIR = install -d
 INSTALLDEP = install.dir install.bin install.doc install.etc
 # template for Makefile 
-# $Id: Makefile,v 1.9 2000/09/20 03:15:19 takepiro Exp $
+# $Id: Makefile.txt,v 1.3 2000/09/13 01:13:40 takepiro Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.

=== doc/Makefile ===
--- 
+++ 
@@ -3,24 +3,24 @@
 EXE        = 
 OSTYPE     = ux
 BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
+MANDIR     = /usr/man/ja
+DOCDIR     = /usr/share/doc
 ETCDIR     = /etc/dcbib
-CGIDIR     = /usr/lib/cgi-bin
+CGIDIR     = /usr/lib/cgi-bin/dcbib
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
 INSTALLFILE = install -m 0644
-INSTALLSGID = install -m 2755 --group dcdvlop
+INSTALLSGID = install -m 2755 --group bunken
 INSTALLDIR = install -d
 INSTALLDEP = install.dir install.bin install.doc install.etc
 # template for Makefile 
-# $Id: Makefile,v 1.9 2000/09/20 03:15:19 takepiro Exp $
+# $Id: Makefile.txt,v 1.4 2000/10/03 15:51:51 takepiro Exp $
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
 # see COPYING.TXT for terms of license.
 
 B	= dcbib
-HTMS	= $B-add.htm $B.htm $B-card.htm rfc822-like.htm
+HTMS	= $B-add.htm $B-remove.htm $B-help.htm $B.htm $B-card.htm rfc822-like.htm
 MAN2HTM	= $(HTROFF) -man -u
 
 .SUFFIXES: .htm .5 .1

=== etc/Makefile ===
--- 
+++ 
@@ -3,19 +3,19 @@
 EXE        = 
 OSTYPE     = ux
 BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
+MANDIR     = /usr/man/ja
+DOCDIR     = /usr/share/doc
 ETCDIR     = /etc/dcbib
-CGIDIR     = /usr/lib/cgi-bin
+CGIDIR     = /usr/lib/cgi-bin/dcbib
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
 INSTALLFILE = install -m 0644
-INSTALLSGID = install -m 2755 --group dcdvlop
+INSTALLSGID = install -m 2755 --group bunken
 INSTALLDIR = install -d
 INSTALLDEP = install.dir install.bin install.doc install.etc
 # template for Makefile
-# $Id: Makefile,v 1.5 2000/09/20 03:15:19 takepiro Exp $
+# $Id: Makefile.txt,v 1.1 2000/09/06 11:01:53 takepiro Exp $
 # Copyright (C) TOYODA Eizi, 1998, 1999.  All rights reserved.
 # see COPYING.TXT for terms of license.

=== src/Makefile ===
--- 
+++ 
@@ -3,34 +3,42 @@
 EXE        = 
 OSTYPE     = ux
 BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
+MANDIR     = /usr/man/ja
+DOCDIR     = /usr/share/doc
 ETCDIR     = /etc/dcbib
-CGIDIR     = /usr/lib/cgi-bin
+CGIDIR     = /usr/lib/cgi-bin/dcbib
 INSTALL    = install
 HTROFF     = htroff
 INSTALLBIN = install -m 0755
 INSTALLFILE = install -m 0644
-INSTALLSGID = install -m 2755 --group dcdvlop
+INSTALLSGID = install -m 2755 --group bunken
 INSTALLDIR = install -d
 INSTALLDEP = install.dir install.bin install.doc install.etc
 # template for Makefile
-# $Id: Makefile,v 1.9 2000/09/20 03:15:19 takepiro Exp $
+# $Id: Makefile.txt,v 1.5 2000/10/03 15:55:07 takepiro Exp $
 # Copyright (C) TOYODA Eizi, 1998, 1999.  All rights reserved.
 # see COPYING.TXT for terms of license.
 
 B	= dcbib
 SUBS	= error.pl rfc822.pl fio.pl check.pl card.pl japanese.pl
-TARGETS	= $B-add
+TARGETS	= $B-add $B-remove $B-help
 CGIS    = $B-add.cgi
 
 all: $(TARGETS) $(CGIS)
 
 ADD_FILES = header.pl add.pl fncreat.pl $(SUBS)
+REMOVE_FILES = header.pl remove.pl fncreat.pl $(SUBS)
+HELP_FILES = header.pl help.pl $(SUBS)
 ADD_CGI_FILES = header.pl cgi.pl addcgi.pl fncreat.pl $(SUBS)
 
 $B-add: $(ADD_FILES)
 	cat $(ADD_FILES) > $@
+
+$B-remove: $(REMOVE_FILES)
+	cat $(REMOVE_FILES) > $@
+
+$B-help: $(HELP_FILES)
+	cat $(HELP_FILES) > $@
 
 $B-add.cgi: $(ADD_CGI_FILES) 
 	cat $(ADD_CGI_FILES) > $@
@@ -62,6 +70,7 @@
 	echo '#!/usr/bin/perl' > $@
 	echo '$$ETCDIR = "$(ETCDIR)";' >> $@
 	echo '$$BINDIR = "$(BINDIR)";' >> $@
+	echo '$$ENV{'PATH'} = "/bin:/usr/bin";' >> $@
 #DOS	echo $$ETCDIR = "$(ETCDIR)"; > $@
 #DOS	echo $$BINDIR = "$(BINDIR)"; > $@

=== debian/changelog ===
dcbib (0.8-26) unstable; urgency=low

  * syslog output implemented.   
  * default value of copyholder is set. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 20 Oct 2000 22:16:14 +0900

dcbib (0.8-25) unstable; urgency=low

  * Cookie is set to keep email address.  
  * dcbib-add.cgi moved to /usr/lib/cgi-bin/dcbib/. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu, 12 Oct 2000 23:34:43 +0900

dcbib (0.8-24) unstable; urgency=low

  * umask is set in dcbib-add.cgi to aviod the warning messege of dcbib-add.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu, 12 Oct 2000 22:57:50 +0900

dcbib (0.8-23) unstable; urgency=low

  * dateandtime subroutine bug fix. 
  * default settings of keyword, id bug fix. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  4 Oct 2000 01:32:37 +0900

dcbib (0.8-22) unstable; urgency=low

  * CGI control data separated from %card in addcgi.pl. 
  * dcbib-help developed. 
  * Description of the documents revised. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon,  2 Oct 2000 19:05:18 +0900

dcbib (0.8-21) unstable; urgency=low

  * default values of id, keyword, keywork-ja are set.
  * from field of addcgi renamed to mailaddress.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  1 Oct 2000 21:50:06 +0900

dcbib (0.8-20) unstable; urgency=low

  * card.pl bug fix.  
  * date and e-mail address are automatically filled in the history field. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sat, 30 Sep 2000 19:09:26 +0900

dcbib (0.8-19) unstable; urgency=low

  * add.pl bug fix.   
  * only ascii characters accepted in the non-ja fields. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu, 28 Sep 2000 11:34:43 +0900

dcbib (0.8-18) unstable; urgency=low

  * field definition in card.pl improved. 
  * dcbib-add outputs fields in the right order.   

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 27 Sep 2000 01:19:15 +0900

dcbib (0.8-17) unstable; urgency=low

  * card.pl bug fix.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue, 26 Sep 2000 14:07:49 +0900

dcbib (0.8-16) unstable; urgency=low

  * check appended in fncreate.pl to avoid setgid problem. 
  * verbose mode implemented to dcbib-add.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 25 Sep 2000 22:36:23 +0900

dcbib (0.8-15) unstable; urgency=low

  * card.pl bug fix.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 25 Sep 2000 19:41:50 +0900

dcbib (0.8-14) unstable; urgency=low

  * remark moved to required field in misc cardtype.  
  * remark added to optional fields in article,inbook and book cardtypes.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 25 Sep 2000 15:16:11 +0900

dcbib (0.8-13) unstable; urgency=low

  * cardtype misc added.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 25 Sep 2000 13:59:37 +0900

dcbib (0.8-12) unstable; urgency=low

  * definition of the fields added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun, 24 Sep 2000 02:08:58 +0900

dcbib (0.8-11) unstable; urgency=low

  * add manual of dcbib-remove. 
  * code conversion of japanese characters implemented in card.pl.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun, 24 Sep 2000 00:08:26 +0900

dcbib (0.8-10) unstable; urgency=low

  * dcbib-remove fixed.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 22 Sep 2000 16:29:13 +0900

dcbib (0.8-9) unstable; urgency=low

  * use global variable %CARD in fncreat.pl.
  * dcbib-remove created.  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 22 Sep 2000 01:48:13 +0900

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 build:
 	$(checkdir)
 	
-	perl config.pl BASEDIR=/usr ETCDIR=/etc/dcbib
+	perl config.pl BASEDIR=/usr ETCDIR=/etc/dcbib MANDIR=/usr/man/ja DOCDIR=/usr/share/doc CGIDIR=/usr/lib/cgi-bin/dcbib
 	make
 
 	touch build
